namespace adas_core.Domain.Models;

public class PatientRecordingAlert : BasePatientObservation
{
    public bool IsRecording { get; set; }

    public override string ToString()
    {
        var items = ToListString();
        items.Add($"patientId: {PatientId}");
        if (!string.IsNullOrEmpty(Name)) items.Add($"source: {Name}");
        items.Add($"isRecording: {IsRecording}");
        items.Add($"time: {Time}");

        return "PatientRecordingAlert[" + string.Join(", ", items) + "]";
    }
}